﻿<Project Sdk="Microsoft.NET.Sdk">
    <Import Project="..\..\common.props" />
    <PropertyGroup>
        <OutputType>Exe</OutputType>
        <PublishSingleFile>true</PublishSingleFile>
        <SelfContained>false</SelfContained>
      <UserSecretsId>6386ddae-5c66-49af-be90-9384f34de136</UserSecretsId>
  </PropertyGroup>
    <ItemGroup>
        <PackageReference Include="IdentityModel.OidcClient" Version="6.0.0" />
        <PackageReference Include="Microsoft.AspNet.WebApi.Client" Version="6.0.0" />
        <PackageReference Include="Microsoft.AspNetCore.Mvc" Version="2.2.0" />
        <PackageReference Include="Microsoft.AspNetCore.SignalR.Client" Version="8.0.10" />
        <PackageReference Include="Microsoft.AspNetCore.SignalR.Client.Core" Version="8.0.10" />
        <PackageReference Include="Microsoft.Extensions.Configuration" Version="8.0.0" />
        <PackageReference Include="Microsoft.Extensions.Configuration.Binder" Version="8.0.2" />
        <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="8.0.1" />
        <PackageReference Include="Microsoft.Extensions.Configuration.UserSecrets" Version="8.0.1" />
        <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="8.0.1" />
        <PackageReference Include="Microsoft.Extensions.Http" Version="8.0.1" />
        <PackageReference Include="Microsoft.Extensions.Logging" Version="8.0.1" />
        <PackageReference Include="Microsoft.Extensions.Logging.Console" Version="8.0.1" />
        <PackageReference Include="PCSC" Version="7.0.0" />
        <PackageReference Include="PCSC.Iso7816" Version="7.0.0" />
        <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="8.1.2" />
        <PackageReference Include="SonarAnalyzer.CSharp" Version="9.32.0.97167">
            <PrivateAssets>all</PrivateAssets>
            <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\Clanwars.OidcTokenAuthenticationClient\Clanwars.OidcTokenAuthenticationClient.csproj" />
        <ProjectReference Include="..\Clanwars.PaymentSystem.Lib\Clanwars.PaymentSystem.Lib.csproj" />
    </ItemGroup>

    <ItemGroup>
      <None Update="appsettings.json">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
    </ItemGroup>

</Project>
